Summary: Educational activity pack for kids
Name: eduactiv8
Version: 4.19.02
Release: %mkrel 4
Source0: %{name}-%{version}-source.zip
License: GPLv3
Group: Education
# https://sourceforge.net/projects/eduactiv8
# https://github.com/imiolek-ireneusz/eduActiv8
Url: https://www.eduactiv8.org
Requires: python3
Requires: python3-pygame
Requires: espeak
BuildArch: noarch
BuildRequires: hicolor-icon-theme
BuildRequires: unzip
Provides: pysiogame
Obsoletes: pysiogame

%description
eduActiv8 is a set of educational activities and games for children aged
between 3 and 10. The activities are grid based and can be played all in
a single window. eduActiv8 includes maths, abc, reading, writing, colors,
painting, and memory activities.

%prep
%setup -q -n %{name}-%{version}-source
# switch on python3
sed -i "s|python2 |python3 |g" ./linux_extras/%{name}
sed -i "s|python2|python3|g" ./%{name}.py

%build
# generate desktop file
pushd linux_extras
./gen_desktop.sh
popd
# delete unused files and directories
rm -rf i18n/po
rm -f i18n/*.pot
rm -f i18n/clean_def.py
rm -rf i18n/custom/gcomp2ea8
rm -rf i18n/custom/a4a_po
rm -f i18n/custom/a4a_*.pot
rm -f i18n/custom/a4a_*.py
rm -f i18n/custom/word_lists/sort_wordlist.py
rm -rf res/fonts/not_used
rm -f i18n/custom/check_lists.py

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 0644 __init__.py %{buildroot}%{_datadir}/%{name}/
install -m 0755 %{name}.py %{buildroot}%{_datadir}/%{name}/
cp -af classes %{buildroot}%{_datadir}/%{name}/
cp -af game_boards %{buildroot}%{_datadir}/%{name}/
cp -af i18n %{buildroot}%{_datadir}/%{name}/
cp -af res %{buildroot}%{_datadir}/%{name}/
cp -af xml %{buildroot}%{_datadir}/%{name}/
cp -af locale %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 0644 ./res/icon/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
mkdir -p %{buildroot}%{_datadir}/applications/
install -m 0644 ./linux_extras/%{name}.desktop %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_bindir}
install -m 0755 ./linux_extras/%{name} %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_mandir}/man6
install -m 0644 %{name}.6 %{buildroot}%{_mandir}/man6/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_mandir}/*/%{name}.*
%doc *.txt
%license LICENSE


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 4.19.02-4.mga9
+ Revision: 1819450
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 4.19.02-3.mga8
+ Revision: 1525416
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 alexl <alexl> 4.19.02-2.mga7
+ Revision: 1391866
- deleted not needed check_lists.py

* Wed Apr 17 2019 alexl <alexl> 4.19.02-1.mga7
+ Revision: 1391861
- version 4.19.02

* Wed Jan 23 2019 alexl <alexl> 4.19.01-0.6.git20190121.mga7
+ Revision: 1359766
- do not install locales in /usr/share/locale to keep them from _install_langs macros

* Tue Jan 22 2019 alexl <alexl> 4.19.01-0.5.git20190121.mga7
+ Revision: 1359169
- the latest git snapshot

* Tue Jan 15 2019 alexl <alexl> 4.19.01-0.4.git20190115.mga7
+ Revision: 1357292
- the latest git snapshot with python3 by default and with disabled espeak if no lang support in espeak

* Mon Jan 14 2019 alexl <alexl> 4.19.01-0.3.git20190112.mga7
+ Revision: 1356930
- typo
- switch on python3

* Sun Jan 13 2019 alexl <alexl> 4.19.01-0.1.git20190112.mga7
+ Revision: 1356146
- imported package eduactiv8

